#include<bits/stdc++.h>
using namespace std;
int main(){

    int n,m,s,l,r,x;
    cin>>n>>m;

    int niznd[200001];
    int niznu[200001];
    int nizml[200001];
    int nizmr[200001];
    int nizmx[200001];

    for(int i=1;i<=n;i++){

        cin>>niznd[i];
        cin>>niznu[i];
    }
    for(int i=1;i<=m;i++){

        cin>>nizml[i];
        cin>>nizmr[i];
        cin>>nizmx[i];
    }

    for(int i=1;i<=m;i++){

        l=nizml[i];
        r=nizmr[i];
        x=nizmx[i];
        s=0;

        for(int j=l;j<=r;j++){

            if(niznd[j]<=x && niznu[j]>=x){

                s=s+1;
            }
        }
        cout<<s<<endl;
    }
}